<template>
    <div class="sewers-search" v-if="gdVisible">
        <div class="panel-title">{{title}}</div>
        <div class="search-panel ">
            <el-form ref="form" :model="form" label-width="90px" class="search-form">
                <el-form-item label="区域：" size="mini" class="search-panel-item">
                    <el-select style="width: 100%" v-model="form.areaVal" @change="areaType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="item in areaTypeOptions"
                                :key="item.value"
                                :label="item.label"
                                :value="item.value">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="板块：" size="mini" class="search-panel-item">
                  <el-select style="width: 100%"  v-model="form.plateVal" @change="plateType"  :popper-class="'select-down'">
                    <el-option
                        v-for="item in plateTypeOptions"
                        :key="item.value"
                        :label="item.label"
                        :value="item.value">
                    </el-option>
                  </el-select>
                </el-form-item>
                <el-form-item label="企业名称：" size="mini">
                    <el-select style="width: 100%" v-model="form.enterpriseVal" @change="enterpriseType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="item in enterpriseTypeOptions"
                                :key="item.value"
                                :label="item.label"
                                :value="item.value">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="二级单位：" size="mini">
                    <el-select style="width: 100%" v-model="form.enterpriseSubunitsVal" @change="enterpriseSubunitsType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="item in enterpriseSubunitsTypeOptions"
                                :key="item.value"
                                :label="item.label"
                                :value="item.value">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="控制级别：" size="mini">
                    <el-select style="width: 100%" v-model="form.enterpriseLevelVal" @change="enterpriseLevelType"
                               :popper-class="'select-down'">
                        <el-option
                                v-for="item in enterpriseLevelTypeOptions"
                                :key="item.value"
                                :label="item.label"
                                :value="item.value">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="监测状态：" size="mini"></el-form-item>
                <el-radio-group v-model="form.type" class="levelOfRisk">
                    <el-radio v-for="(item,index) in levelOfRisk" :label="item.value" :key="index"><span
                            class="levelOfRisk-type">{{item.name}}</span></el-radio>
                </el-radio-group>
                <!--              <el-form-item >-->
                <div class="page_total">
                    <p>共计
                        <span>{{total}}</span>
                        条记录
                    </p>
                </div>
                <div class="rightButtonSearch">
                    <el-input v-model="form.keyword" size="mini" placeholder="在此输入关键字搜索">
                        <!-- <el-button slot="append" icon="el-icon-search" size="mini"></el-button>-->
                        <!-- <i slot="prefix" class="el-input__icon el-icon-search"></i>-->
                        <!-- <i slot="suffix" class="search-btn el-input__icon el-icon-search" @click="handleSearch"></i> -->
                    </el-input>
                    <el-button class="el-icon-search" @click="handleSearch"></el-button>
                </div>
                <!--              </el-form-item>-->
                <!--              <el-form-item>-->
                <!--                <input type="button" class="btn-ok" @click="handleSearch" value="查询">-->
                <!--                <input type="button" class="btn-reset" @click="handleSearch" value="重置">-->
                <!--              </el-form-item>-->
            </el-form>
        </div>
        <el-scrollbar style="height:264px">
            <div class="environmental-risk-list" v-for="(item,index) in list" :key="index"
                 @click="handleLocation(item)"><!--  -->
                <img src="../../../../public/assets/images/map/wastewater/fs_bright_green.png" alt="" class="state"/>
                <div>
                    <h3>{{ item.Name }}</h3>
                    <p>二级单位：<span>{{ item.DeptSname }}</span></p>
                </div>
            </div>

        </el-scrollbar>
        <!--   <span class="location-btn" @click="handleLocation(item)">588</span> -->
        <el-card class="footer-page" v-if="total > 10">
            <el-pagination
                    small
                    @current-change="handlePage"
                    :page-size=pageSize
                    layout="prev, pager, next"
                    :total=total
                    :current-page=current
                    class="warnPagination"
            >
            </el-pagination>
        </el-card>
    </div>
    <!--        <div class="monitor2" v-if="hbVisible">-->
    <!--          <env-protect-search></env-protect-search>-->
    <!--        </div>-->
    <!--        <div class="monitor2" v-if="pkVisible">-->
    <!--          <discharge-search></discharge-search>-->
    <!--        </div>-->
</template>
<script>

import mapApi from '@/api/mapApi'
import WasteWaterIndex from '../../base-page/WasteWater/WasteWaterIndex'
import { pulseEffect, setPanTo } from '../../../utils/utils'

export default {
  name: 'WasteWaterSearch',
  props: ['title'],
  data () {
    return {
      gdVisible: true,
      list: [],
      // 搜索到的数据数量
      total: 0,
      // 分页
      pageSize: 10,
      current: 1,
      areaTypeOptions: [],
      plateTypeOptions: [],
      enterpriseTypeOptions: [],
      enterpriseSubunitsTypeOptions: [],
      enterpriseLevelTypeOptions: [
        { label: '国控', value: '1' },
        { label: '省控', value: '2' },
        { label: '市控', value: '3' },
        { label: '其他', value: '4' }
      ],
      form: {
        areaVal: '',
        plateVal: '',
        enterpriseVal: '',
        enterpriseSubunitsVal: '',
        enterpriseLevelVal: '',
        type: '1'
      },
      isWaybillHover: true,
      isRouteHover: false,
      levelOfRisk: [
        { name: '全部', value: '1' },
        { name: '正常', value: '2' },
        { name: '超标', value: '3' },
        { name: '预警', value: '4' },
        { name: '异常', value: '5' },
        { name: '缺失', value: '6' },
        { name: '停运', value: '7' }
      ]
    }
  },
  methods: {
    // 页面切换 分页功能
    handlePage (page) {
      // this.wfsHelper.setPage(page)
      this.handleSearch()
    },
    // 区域筛选
    areaType (val) {
      this.pipelineTypeOptions.forEach((itm) => {
        if (val === itm.value) {

        }
      })
    },
    // 板块筛选
    plateType (val) {

    },
    // 企业筛选
    enterpriseType (val) {
      this.dataTypeOptions.forEach((itm) => {
        if (val === itm.value) {

        }
      })
    },
    // 二级单位筛选
    enterpriseSubunitsType (val) {

    },
    // 控制级别筛选
    enterpriseLevelType (val) {

    },

    async handleSearch () {
      const param = {
        companyId: 3900100145, // 企业编码
        id: '',
        monType: 1, // 废水
        userCode: 'wenchun.deng', // 用户名称
        monDuration: '',
        epName: '',
        secdDeptId: '',
        contrLevel: '',
        dataStatus: '',
        dataFlag: '',
        runStatus: '',
        emissTypeId: ''
      }
      const res = await mapApi.getWasteWater(param)
      this.list = res.Result.DataInfo || {}
      this.total = this.list.length
    },
    // 弹窗展示
    handleLocation (val) {
      console.log(val)
      const pos = [val.Latitude, val.Longitude]
      window.map.setView(pos, 15)
      window.$layer.open({
        content: {
          comp: WasteWaterIndex, // 组件
          parent: this, // 父组件
          data: { // 传递的参数
            storagePlaceId: val
          }
        },
        title: '天津石化  ' + val.Name
      })
      pulseEffect([val.Latitude, val.Longitude])
      setPanTo(pos, 250)
    }
  }
}
</script>

<style lang="less" scoped>

</style>
